Saturday, July 26, 2008

Developing with Google App Engine on CentOS-5

Unfortunately CentOS-5 does not have python-2.4 yet. When using wsgiref.handlers.CGIHandler for handling get() and/or post() requests the following ImportError occurs:


ImportError: No module named wsgiref.handlers


This can be solved by installing the Python Extension wsgiref. I've created an SRPM which can be rebuilt quite easily.

After the installation of WSGI, the google_appengine/dev_appserver.py still does not find the library. This can be solved by configuring the wsgire as a third party module.

cd /path/to/my/google/app
ln -s /usr/lib/python-2.4/site-packages/wsgiref


Now it should be possible to run the Google App:

google_appengine/dev_appserver.py /path/to/my/google/app



More links:
* Google App Engine
* Application Gallery
Post a Comment